Upload Live Data
curl --request POST \
--url https://app.recallio.ai/api/Knowledge/livedata \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"rawJson": "{ \"Sales_History\": {\"Buyer\": \"John Doe\", \"Amount\": 100000, \"Date\": \"2021-01-01\"}}}",
"type": "listing",
"userId": "user_123",
"projectId": "project_abc"
}
'import requests
url = "https://app.recallio.ai/api/Knowledge/livedata"
payload = {
"rawJson": "{ \"Sales_History\": {\"Buyer\": \"John Doe\", \"Amount\": 100000, \"Date\": \"2021-01-01\"}}}",
"type": "listing",
"userId": "user_123",
"projectId": "project_abc"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rawJson: '{ "Sales_History": {"Buyer": "John Doe", "Amount": 100000, "Date": "2021-01-01"}}}',
type: 'listing',
userId: 'user_123',
projectId: 'project_abc'
})
};
fetch('https://app.recallio.ai/api/Knowledge/livedata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "\"Invalid scope type. Must be 'user', 'project', or 'team'.\""
}{
"error": "\"Invalid scope type. Must be 'user', 'project', or 'team'.\""
}Knowledge
Upload Live Data
Push data about defined entities.
POST
/
api
/
Knowledge
/
livedata
Upload Live Data
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/jsontext/jsonapplication/*+json
The actual raw json to be stored. This can be either a string or a JSON object. The JSON object format is: { "Sales_History": {"Buyer": "John Doe", "Amount": 100000, "Date": "2021-01-01"}}}
Required string length:
1 - 30000Example:
"{ \"Sales_History\": {\"Buyer\": \"John Doe\", \"Amount\": 100000, \"Date\": \"2021-01-01\"}}}"
Type of knowledge to store
Minimum string length:
1Example:
"listing"
Unique identifier for the user storing the knowledge
Example:
"user_123"
Project identifier to associate the knowledge with
Example:
"project_abc"
Response
Accepted

